package cn.com.countrygarden.bi.main.service.dmn;

import cn.com.countrygarden.bi.main.dto.dmn.DnmDomainInformationAndCost;
import cn.com.countrygarden.bi.main.model.dmn.DnmDomainInformation;
import org.springframework.stereotype.Service;
import cn.com.countrygarden.bi.main.core.Result;
/**
 * @program: backEnd
 * @description: 域名信息服务层
 * @author: bug大神
 * @create: 2024-07-24 17:25
 **/


public interface DnmDomainInformationService {
    Result getDomainInformation();
    Result insertDomainInformation(DnmDomainInformation domainInformation);

    Result updateDnmDomainInformation(DnmDomainInformation domainInformation);

    Result deleteDnmDomainInformation(Integer id);

    Result insertDnmDomainInformationAndCost(DnmDomainInformationAndCost dnmDomainInformationAndCost);

    Result getDnmDomainInformationAndCost(Integer id);

    Result searchDomainsByPage(String domainName, String domainCouponNumber, String owner, String auditStatus, String startDate, String endDate, Integer pageSize, Integer page);

    Result searchDomainsByPageByLeader(String domainName, String domainCouponNumber, String owner, String auditStatus, String startDate, String endDate, Integer pageSize, Integer page);

    Result updateDnmDomainInformationById(Integer id,Integer falg);

    Result checkDomainName(String domainName);

    Result generateDomainCouponNumber();

    Result updateDnmDomainInformationAndCost(DnmDomainInformationAndCost dnmDomainInformationAndCost);
}
